Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002101graphvizDotpublic2011-06-09 11:532011-08-03 14:54
ReporterTorigoe Takashi 
Assigned Toellson 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSWindows XP / debian sargeOS Version
Summary0002101: Arrowhead problem using splines=ortho
DescriptionArrowhead of edge (dir=both or back) is not on the right place when using splines=ortho & rankdir=LR.
Additional Informationpatch attached.
TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENTgraphviz2/lib/common arrows.c,1.41,1.42
FORMER-ID
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENT
VERSION2.29....
Attached Filesdiff file icon arrows.diff [^] (814 bytes) 2011-06-09 11:53 [Show Content]
png file icon test.gv.png [^] (1,651 bytes) 2011-06-09 12:33


? file icon test.gv [^] (134 bytes) 2011-06-09 12:34

- Relationships

-  Notes
User avatar (0000013)
ellson (administrator)
2011-06-09 11:57

Is there a test graph for this that illustrates the problem?
User avatar (0000014)
Torigoe Takashi (reporter)
2011-06-09 12:29

> Is there a test graph for this that illustrates the problem?
Sample is below.

digraph sample {
  rankdir = LR;
  splines = ortho;
  alpha -> beta [dir = back];
  alpha -> gamma [dir = both];
  beta -> delta;
}
User avatar (0000015)
Torigoe Takashi (reporter)
2011-06-09 12:37

sample graph(test.gv/test.gv.png) is attatched.
Attached patch is not tested on windows.(I can't build the windows version.)
User avatar (0000018)
ellson (administrator)
2011-06-11 09:46

Thanks. Patch applied and committed to CVS. Should be in tomorrow's builds,
User avatar (0000019)
ellson (administrator)
2011-06-11 09:50

For the record: graphviz2/lib/common arrows.c,1.41,1.42

- Issue History
Date Modified Username Field Change
2011-06-09 11:53 Torigoe Takashi New Issue
2011-06-09 11:53 Torigoe Takashi File Added: arrows.diff
2011-06-09 11:57 ellson Note Added: 0000013
2011-06-09 12:29 Torigoe Takashi Note Added: 0000014
2011-06-09 12:33 Torigoe Takashi File Added: test.gv.png
2011-06-09 12:34 Torigoe Takashi File Added: test.gv
2011-06-09 12:37 Torigoe Takashi Note Added: 0000015
2011-06-11 09:46 ellson Note Added: 0000018
2011-06-11 09:50 ellson Note Added: 0000019
2011-06-11 10:14 ellson Assigned To => ellson
2011-06-11 10:14 ellson Status new => assigned
2011-06-11 10:16 ellson FIX-COMMENT => graphviz2/lib/common arrows.c,1.41,1.42
2011-06-11 10:16 ellson VERSION 2.28.0 => 2.29....
2011-06-11 10:16 ellson Status assigned => resolved
2011-06-11 10:16 ellson Resolution open => fixed
2011-08-03 14:54 erg Status resolved => closed


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker